3. Manage Authentication
3.1. GetCertificatePopUpURL - URL to manage HomeTax authentication
GET
https://popbill-test.linkhub.co.kr/HomeTax/Cashbill
GET
https://popbill.linkhub.co.kr/HomeTax/Cashbill
- This API returns a URL to manage HomeTax authentication.
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y | Fixed value : CERT |
Request Example
curl --request GET \
--url 'https://{domain}/HomeTax/Cashbill?TG=CERT' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Returned URL of response on the request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=IRXSGITDREOTPOIRLPUHCB4BSBC4...NX7BMAR3="
}
3.2. GetCertificateExpireDate - Check the expiration date of a certificate
GET
https://popbill-test.linkhub.co.kr/HomeTax/Cashbill/CertInfo
GET
https://popbill.linkhub.co.kr/HomeTax/Cashbill/CertInfo
- This API checks the expiration date of a HomeTax accredited certificate.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Request Example
curl --request GET \
--url 'https://{domain}/HomeTax/Cashbill/CertInfo' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| certificateExpiration | string | 14 |
Expiration date of a registered certificate
format : yyyyMMddHHmmss
|
Response Example
{
"certificateExpiration": "20251111204731"
}
3.3. CheckCertValidation - Validate the certificate with a login test
GET
https://popbill-test.linkhub.co.kr/HomeTax/Cashbill/CertCheck
GET
https://popbill.linkhub.co.kr/HomeTax/Cashbill/CertCheck
- This API validates the HomeTax accredited certificate with a HomeTax login test.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Request Example
curl --request GET \
--url 'https://{domain}/HomeTax/Cashbill/CertCheck' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| code | number | - | API response code | |
| message | string | - | API response message |
Response Example
{
"code": 1,
"message": "로그인 성공"
}
3.4. RegistDeptUser - Register a department user account
POST
https://popbill-test.linkhub.co.kr/HomeTax/Cashbill/DeptUser
POST
https://popbill.linkhub.co.kr/HomeTax/Cashbill/DeptUser
- This API registers a department user account (cash receipt data inquiry type) in POPBiLL system to authenticate for HomeTax system.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Content-Type | Y | Request body format application/json |
|
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Request Body
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| id | string | 50 | Y | ID of HomeTax department user account | |
| pwd | string | 50 | Y | Password of HomeTax department user account |
Request Example
curl --request POST \
--url 'https://{domain}/HomeTax/Cashbill/DeptUser' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/json' \
--data '{
"id": "부서사용자 아이디",
"pwd": "부서사용자 비밀번호"
}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| code | number | - | API response code | |
| message | string | - | API response message |
Response Example
{
"code": 1,
"message": "처리 완료"
}
3.5. CheckDeptUser - Check the registered information of a department user account
GET
https://popbill-test.linkhub.co.kr/HomeTax/Cashbill/DeptUser
GET
https://popbill.linkhub.co.kr/HomeTax/Cashbill/DeptUser
- This API checks the registered information of a department user account (cash receipt data inquiry type).
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Request Example
curl --request GET \
--url 'https://{domain}/HomeTax/Cashbill/DeptUser' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| code | number | - | API response code | |
| message | string | - | API response message |
Response Example
{
"code": 1,
"message": "처리 완료"
}
3.6. CheckLoginDeptUser - Validate the department user account with a login test
GET
https://popbill-test.linkhub.co.kr/HomeTax/Cashbill/DeptUser/Check
GET
https://popbill.linkhub.co.kr/HomeTax/Cashbill/DeptUser/Check
- This API validates the department user account with a HomeTax login test.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Request Example
curl --request GET \
--url 'https://{domain}/HomeTax/Cashbill/DeptUser/Check' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| code | number | - | API response code | |
| message | string | - | API response message |
Response Example
{
"code": 1,
"message": "로그인 성공"
}
3.7. DeleteDeptUser - Delete the information of a department user account
POST
https://popbill-test.linkhub.co.kr/HomeTax/Cashbill/DeptUser
POST
https://popbill.linkhub.co.kr/HomeTax/Cashbill/DeptUser
- This API deletes the information of a registered department user account.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-HTTP-Method-Override | Y | Request method override DELETE |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Request Example
curl --request POST \
--url 'https://{domain}/HomeTax/Cashbill/DeptUser' \
--header 'Authorization: Bearer {token}' \
--header 'X-HTTP-Method-Override: DELETE'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| code | number | - | API response code | |
| message | string | - | API response message |
Response Example
{
"code": 1,
"message": "삭제 완료"
}
